incubator-ooo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bert Frees <bertfr...@gmail.com>
Subject Re: Could not create java implementation loader
Date Fri, 25 Nov 2011 15:13:44 GMT
On 25/11/2011 14:57, J├╝rgen Schmidt wrote:
> On 11/25/11 2:50 PM, Bert Frees wrote:
>> Hi folks,
>>
>> I'm sure this issue has been brought up before...
>>
>>  From what I've read on forums, A LOT of Java extensions can not be
>> installed by some users because of the "Could not create Java
>> implementation loader" error.
>>
>> The extension odt2braille I developed has this problem too, in Windows.
>> The error seems to happen randomly, with all kinds of OOo/LO versions,
>> Windows versions and Java versions. I've tried to understand what this
>> error is about, but I'm completely groping in the dark. I can find a lot
>> of suggestions on the web, but nobody really seems to know what causes
>> this error.
>>
>> Until now, I've advised my users to try OpenOfficePortable or
>> LibreOfficePortable if they get this error, because it has already been
>> succesful a few times in my own experience. But apparently there are
>> also cases where it doesn't help.
>
> sorry, but I haven't noticed this problem very often. Only during 
> development time of an extension. I have several extensions developed 
> years ago and they still work.
>
> It would be interesting to get more information
>
> - which OOo version
> - which windows version
> - which Java version
>
> and in which combinations the error occur.
>
> Juergen
>

Hi Juergen,

These are some examples of users that have run into the error:

- Windows XP SP3, LO3.3, Java 1.6_24/1.6_22.
- Windows 7, OOo3.3, Java 1.6_26
- Windows 7 (64 bit), OOo3.3, Java 1.6_25

These are setups from myself and my collegues. We have never experienced 
any problems:

- Windows 7 (64 bit), all kinds of Java (1.6_16/1.6_17/1.6_22/1.6_29), 
all kinds of LO3.x and OOo3.x versions.
- Windows XP SP3, Java 1.6_26, all kinds of LO3.x and OOo3.x versions.
- Windows Vista, Java 1.6_26, OOo3.3/LO3.3





Mime
View raw message